diff --git a/pki/base/common/src/com/netscape/cms/ocsp/LDAPStore.java b/pki/base/common/src/com/netscape/cms/ocsp/LDAPStore.java
index 4a0225a40464a801c672116a939065571bbf58bd..bdfbc9ca2f1253e492ec2b49dba224174df10250 100644
--- a/pki/base/common/src/com/netscape/cms/ocsp/LDAPStore.java
+++ b/pki/base/common/src/com/netscape/cms/ocsp/LDAPStore.java
@@ -156,12 +156,13 @@ public class LDAPStore implements IDefStore, IExtendedPluginInfo {
             }
             LDAPEntry entry = results.next();
             LDAPAttribute crls = entry.getAttribute(mCACertAttr);
-            Enumeration vals = crls.getByteValues();
+            @SuppressWarnings("unchecked")
+            Enumeration<byte[]> vals = crls.getByteValues();
 
             if (!vals.hasMoreElements()) {
                 throw new EBaseException("error - no values");
             }
-            byte caCertData[] = (byte[]) vals.nextElement();
+            byte caCertData[] = vals.nextElement();
             X509CertImpl caCert = new X509CertImpl(caCertData);
 
             return caCert;
@@ -188,12 +189,13 @@ public class LDAPStore implements IDefStore, IExtendedPluginInfo {
             }
             LDAPEntry entry = results.next();
             LDAPAttribute crls = entry.getAttribute(mCRLAttr);
-            Enumeration vals = crls.getByteValues();
+            @SuppressWarnings("unchecked")
+            Enumeration<byte[]> vals = crls.getByteValues();
 
             if (!vals.hasMoreElements()) {
                 throw new EBaseException("error - no values");
             }
-            byte crlData[] = (byte[]) vals.nextElement();
+            byte crlData[] = vals.nextElement();
             X509CRLImpl crl = new X509CRLImpl(crlData);
 
             return crl;
@@ -457,10 +459,10 @@ public class LDAPStore implements IDefStore, IExtendedPluginInfo {
         X509CertImpl theCert = null;
         X509CRLImpl theCRL = null;
 
-        Enumeration caCerts = mCRLs.keys();
+        Enumeration<X509CertImpl> caCerts = mCRLs.keys();
 
         while (caCerts.hasMoreElements()) {
-            X509CertImpl caCert = (X509CertImpl) caCerts.nextElement();
+            X509CertImpl caCert = caCerts.nextElement();
             MessageDigest md = null;
 
             try {
@@ -565,10 +567,10 @@ public class LDAPStore implements IDefStore, IExtendedPluginInfo {
 
     public void setConfigParameters(NameValuePairs pairs)
             throws EBaseException {
-        Enumeration k = pairs.getNames();
+        Enumeration<String> k = pairs.getNames();
 
         while (k.hasMoreElements()) {
-            String key = (String) k.nextElement();
+            String key = k.nextElement();
 
             mConfig.put(key, pairs.getValue(key));
         }
diff --git a/pki/base/common/src/com/netscape/cms/policy/constraints/KeyAlgorithmConstraints.java b/pki/base/common/src/com/netscape/cms/policy/constraints/KeyAlgorithmConstraints.java
index 14cd9ece458450ff6f9cfa0998e588f91685e7d0..9bb806ebaa8f0f0e8737f9c9c13a20c24886770c 100644
--- a/pki/base/common/src/com/netscape/cms/policy/constraints/KeyAlgorithmConstraints.java
+++ b/pki/base/common/src/com/netscape/cms/policy/constraints/KeyAlgorithmConstraints.java
@@ -52,7 +52,7 @@ import com.netscape.cms.policy.APolicyRule;
  */
 public class KeyAlgorithmConstraints extends APolicyRule
         implements IEnrollmentPolicy, IExtendedPluginInfo {
-    private Vector mAlgorithms;
+    private Vector<String> mAlgorithms;
     private final static String DEF_KEY_ALGORITHM = "RSA,DSA";
     private final static String PROP_ALGORITHMS = "algorithms";
     private final static String[] supportedAlgorithms =
@@ -96,7 +96,7 @@ public class KeyAlgorithmConstraints extends APolicyRule
     public void init(ISubsystem owner, IConfigStore config)
             throws EPolicyException {
 
-        mAlgorithms = new Vector();
+        mAlgorithms = new Vector<String>();
 
         if (config == null || config.size() == 0) {
             mAlgorithms.addElement(DEF_KEY_ALGORITHM);
@@ -130,9 +130,9 @@ public class KeyAlgorithmConstraints extends APolicyRule
         }
 
         // Check if configured algorithms are supported.
-        for (Enumeration e = mAlgorithms.elements(); e.hasMoreElements();) {
+        for (Enumeration<String> e = mAlgorithms.elements(); e.hasMoreElements();) {
             int i;
-            String configuredAlg = (String) e.nextElement();
+            String configuredAlg = e.nextElement();
 
             // See if it is a supported algorithm.
             for (i = 0; i < supportedAlgorithms.length; i++) {
@@ -200,12 +200,12 @@ public class KeyAlgorithmConstraints extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
-        Vector v = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> v = new Vector<String>();
         StringBuffer sb = new StringBuffer();
 
-        for (Enumeration e = mAlgorithms.elements(); e.hasMoreElements();) {
-            sb.append((String) e.nextElement());
+        for (Enumeration<String> e = mAlgorithms.elements(); e.hasMoreElements();) {
+            sb.append(e.nextElement());
             sb.append(",");
         }
         if (sb.length() > 0)
diff --git a/pki/base/common/src/com/netscape/cms/profile/common/CAEnrollProfile.java b/pki/base/common/src/com/netscape/cms/profile/common/CAEnrollProfile.java
index aa18acd3b2273eac4c52e9a221a941af4176bbac..c03f90a4b2ad71eefbdce4f0c0fa20eee066be3d 100644
--- a/pki/base/common/src/com/netscape/cms/profile/common/CAEnrollProfile.java
+++ b/pki/base/common/src/com/netscape/cms/profile/common/CAEnrollProfile.java
@@ -226,9 +226,9 @@ public class CAEnrollProfile extends EnrollProfile {
         request.setRequestStatus(RequestStatus.COMPLETE);
 
         // notifies updater plugins
-        Enumeration updaterIds = getProfileUpdaterIds();
+        Enumeration<String> updaterIds = getProfileUpdaterIds();
         while (updaterIds.hasMoreElements()) {
-            String updaterId = (String) updaterIds.nextElement();
+            String updaterId = updaterIds.nextElement();
             IProfileUpdater updater = getProfileUpdater(updaterId);
             updater.update(request, RequestStatus.COMPLETE);
         }
diff --git a/pki/base/common/src/com/netscape/cms/profile/constraint/ExtendedKeyUsageExtConstraint.java b/pki/base/common/src/com/netscape/cms/profile/constraint/ExtendedKeyUsageExtConstraint.java
index 9c8e047844efd8f9eed3b75b9179b26964f127e9..3c737e8a5b16d3dc88ce2e921c647e6b7782e165 100644
--- a/pki/base/common/src/com/netscape/cms/profile/constraint/ExtendedKeyUsageExtConstraint.java
+++ b/pki/base/common/src/com/netscape/cms/profile/constraint/ExtendedKeyUsageExtConstraint.java
@@ -108,7 +108,7 @@ public class ExtendedKeyUsageExtConstraint extends EnrollConstraint {
         }
 
         // Build local cache of configured OIDs
-        Vector mCache = new Vector();
+        Vector<String> mCache = new Vector<String>();
         StringTokenizer st = new StringTokenizer(getConfig(CONFIG_OIDS), ",");
 
         while (st.hasMoreTokens()) {
@@ -118,10 +118,10 @@ public class ExtendedKeyUsageExtConstraint extends EnrollConstraint {
         }
 
         // check OIDs
-        Enumeration e = ext.getOIDs();
+        Enumeration<ObjectIdentifier> e = ext.getOIDs();
 
         while (e.hasMoreElements()) {
-            ObjectIdentifier oid = (ObjectIdentifier) e.nextElement();
+            ObjectIdentifier oid = e.nextElement();
 
             if (!mCache.contains(oid.toString())) {
                 throw new ERejectException(
diff --git a/pki/base/common/src/com/netscape/cms/profile/constraint/NoConstraint.java b/pki/base/common/src/com/netscape/cms/profile/constraint/NoConstraint.java
index 0d81c583f763c5adb571f156010d4dbeca59cb97..459e9f219e12e0a88c8f8d84ccf00c91694befa3 100644
--- a/pki/base/common/src/com/netscape/cms/profile/constraint/NoConstraint.java
+++ b/pki/base/common/src/com/netscape/cms/profile/constraint/NoConstraint.java
@@ -43,9 +43,9 @@ public class NoConstraint implements IPolicyConstraint {
     public static final String CONFIG_NAME = "name";
 
     private IConfigStore mConfig = null;
-    private Vector mNames = new Vector();
+    private Vector<String> mNames = new Vector<String>();
 
-    public Enumeration getConfigNames() {
+    public Enumeration<String> getConfigNames() {
         return mNames.elements();
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/profile/constraint/UniqueKeyConstraint.java b/pki/base/common/src/com/netscape/cms/profile/constraint/UniqueKeyConstraint.java
index 1526686e984acafa9f1945a4b186d8d6706fa8ac..f10130aa658a78441a7b5ffee052d30a20b62e2d 100644
--- a/pki/base/common/src/com/netscape/cms/profile/constraint/UniqueKeyConstraint.java
+++ b/pki/base/common/src/com/netscape/cms/profile/constraint/UniqueKeyConstraint.java
@@ -191,9 +191,9 @@ public class UniqueKeyConstraint extends EnrollConstraint {
                         sjname_in_req =
                                 (X500Name) subName.get(CertificateSubjectName.DN_NAME);
                         CMS.debug("UniqueKeyConstraint: cert request subject DN =" + sjname_in_req.toString());
-                        Enumeration e = list.getCertRecords(0, size - 1);
+                        Enumeration<ICertRecord> e = list.getCertRecords(0, size - 1);
                         while (e != null && e.hasMoreElements()) {
-                            ICertRecord rec = (ICertRecord) e.nextElement();
+                            ICertRecord rec = e.nextElement();
                             X509CertImpl cert = rec.getCertificate();
                             String certDN =
                                     cert.getSubjectDN().toString();
diff --git a/pki/base/common/src/com/netscape/cms/profile/def/AuthInfoAccessExtDefault.java b/pki/base/common/src/com/netscape/cms/profile/def/AuthInfoAccessExtDefault.java
index c9ea70624eb64d619711e1971f5c778b1fd1e8e4..f23b7e24cada5aefacdb75e0ea4297d4172ddeca 100644
--- a/pki/base/common/src/com/netscape/cms/profile/def/AuthInfoAccessExtDefault.java
+++ b/pki/base/common/src/com/netscape/cms/profile/def/AuthInfoAccessExtDefault.java
@@ -114,7 +114,7 @@ public class AuthInfoAccessExtDefault extends EnrollExtDefault {
         super.setConfig(name, value);
     }
 
-    public Enumeration getConfigNames() {
+    public Enumeration<String> getConfigNames() {
         refreshConfigAndValueNames();
         return super.getConfigNames();
     }
@@ -236,10 +236,10 @@ public class AuthInfoAccessExtDefault extends EnrollExtDefault {
 
                 for (int i = 0; i < size; i++) {
                     NameValuePairs nvps = (NameValuePairs) v.elementAt(i);
-                    Enumeration names = nvps.getNames();
+                    Enumeration<String> names = nvps.getNames();
 
                     while (names.hasMoreElements()) {
-                        String name1 = (String) names.nextElement();
+                        String name1 = names.nextElement();
 
                         if (name1.equals(AD_METHOD)) {
                             method = nvps.getValue(name1);
diff --git a/pki/base/common/src/com/netscape/cms/profile/def/ExtendedKeyUsageExtDefault.java b/pki/base/common/src/com/netscape/cms/profile/def/ExtendedKeyUsageExtDefault.java
index 15dec54124360fdf666b101523e09a4ff40265b6..f1d63a348a2880fc9e1fcf3d61d36a985c078070 100644
--- a/pki/base/common/src/com/netscape/cms/profile/def/ExtendedKeyUsageExtDefault.java
+++ b/pki/base/common/src/com/netscape/cms/profile/def/ExtendedKeyUsageExtDefault.java
@@ -187,11 +187,10 @@ public class ExtendedKeyUsageExtDefault extends EnrollExtDefault {
             if (ext == null) {
                 return "";
             }
-            Enumeration e = ext.getOIDs();
+            Enumeration<ObjectIdentifier> e = ext.getOIDs();
 
             while (e.hasMoreElements()) {
-                ObjectIdentifier oid = (ObjectIdentifier)
-                        e.nextElement();
+                ObjectIdentifier oid = e.nextElement();
 
                 if (!sb.toString().equals("")) {
                     sb.append(",");
diff --git a/pki/base/common/src/com/netscape/cms/profile/def/NoDefault.java b/pki/base/common/src/com/netscape/cms/profile/def/NoDefault.java
index 8197d3de4b68670913b80dd5bf9bc2b16bddd03b..a58b1800819aba06bf12009d13d6198651a7d361 100644
--- a/pki/base/common/src/com/netscape/cms/profile/def/NoDefault.java
+++ b/pki/base/common/src/com/netscape/cms/profile/def/NoDefault.java
@@ -41,10 +41,10 @@ public class NoDefault implements IPolicyDefault {
     public static final String PROP_NAME = "name";
 
     protected Vector mValues = new Vector();
-    protected Vector mNames = new Vector();
+    protected Vector<String> mNames = new Vector<String>();
     protected IConfigStore mConfig = null;
 
-    public Enumeration getConfigNames() {
+    public Enumeration<String> getConfigNames() {
         return mNames.elements();
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/profile/input/EnrollInput.java b/pki/base/common/src/com/netscape/cms/profile/input/EnrollInput.java
index db3945785dae0f53a15a12d2dc24961ac81aaf66..c4269ba7d136766f9fb80ed457a635e8d86383ca 100644
--- a/pki/base/common/src/com/netscape/cms/profile/input/EnrollInput.java
+++ b/pki/base/common/src/com/netscape/cms/profile/input/EnrollInput.java
@@ -51,8 +51,8 @@ public abstract class EnrollInput implements IProfileInput {
             "LOGGING_SIGNED_AUDIT_PROOF_OF_POSSESSION_2";
 
     protected IConfigStore mConfig = null;
-    protected Vector mValueNames = new Vector();
-    protected Vector mConfigNames = new Vector();
+    protected Vector<String> mValueNames = new Vector<String>();
+    protected Vector<String> mConfigNames = new Vector<String>();
     protected IProfile mProfile = null;
 
     protected ILogger mSignedAuditLogger = CMS.getSignedAuditLogger();
@@ -113,7 +113,7 @@ public abstract class EnrollInput implements IProfileInput {
     /**
      * Retrieves a list of names of the value parameter.
      */
-    public Enumeration getValueNames() {
+    public Enumeration<String> getValueNames() {
         return mValueNames.elements();
     }
 
@@ -121,7 +121,7 @@ public abstract class EnrollInput implements IProfileInput {
         mConfigNames.addElement(name);
     }
 
-    public Enumeration getConfigNames() {
+    public Enumeration<String> getConfigNames() {
         return mConfigNames.elements();
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/profile/input/GenericInput.java b/pki/base/common/src/com/netscape/cms/profile/input/GenericInput.java
index 029e497f48f2d7ec397b9181b276ece717d05eed..e8edfaa6dece2ec0c4bd911b0442311f5470c6c9 100644
--- a/pki/base/common/src/com/netscape/cms/profile/input/GenericInput.java
+++ b/pki/base/common/src/com/netscape/cms/profile/input/GenericInput.java
@@ -94,8 +94,8 @@ public class GenericInput extends EnrollInput implements IProfileInput {
     /**
      * Returns selected value names based on the configuration.
      */
-    public Enumeration getValueNames() {
-        Vector v = new Vector();
+    public Enumeration<String> getValueNames() {
+        Vector<String> v = new Vector<String>();
         int num = getNum();
         for (int i = 0; i < num; i++) {
             String enable = getConfig(CONFIG_ENABLE + i);
diff --git a/pki/base/common/src/com/netscape/cms/publish/publishers/LdapCertSubjPublisher.java b/pki/base/common/src/com/netscape/cms/publish/publishers/LdapCertSubjPublisher.java
index e2c41a5917984590123c6a28f47f630a4081bff6..fed86512231b3bd64dbbeeab9deaeb529cd5e225 100644
--- a/pki/base/common/src/com/netscape/cms/publish/publishers/LdapCertSubjPublisher.java
+++ b/pki/base/common/src/com/netscape/cms/publish/publishers/LdapCertSubjPublisher.java
@@ -254,11 +254,12 @@ public class LdapCertSubjPublisher implements ILdapPublisher {
             if (certs != null) {
                 hasCert = LdapUserCertPublisher.ByteValueExists(certs, certEnc);
                 // check for other certs with the same subject name
-                Enumeration vals = certs.getByteValues();
+                @SuppressWarnings("unchecked")
+                Enumeration<byte[]> vals = certs.getByteValues();
                 byte[] val = null;
 
                 while (vals.hasMoreElements()) {
-                    val = (byte[]) vals.nextElement();
+                    val = vals.nextElement();
                     if (Utils.byteArraysAreEqual(certEnc, val)) {
                         hasCert = true;
                         continue;
diff --git a/pki/base/common/src/com/netscape/cms/publish/publishers/LdapUserCertPublisher.java b/pki/base/common/src/com/netscape/cms/publish/publishers/LdapUserCertPublisher.java
index 8c74382a7b1b0e569b9d73b8fd5f11f0e4e8d250..afa0601dc7af11eca33b53e15fb2de66cc83aa9c 100644
--- a/pki/base/common/src/com/netscape/cms/publish/publishers/LdapUserCertPublisher.java
+++ b/pki/base/common/src/com/netscape/cms/publish/publishers/LdapUserCertPublisher.java
@@ -295,11 +295,12 @@ public class LdapUserCertPublisher implements ILdapPublisher, IExtendedPluginInf
         if (attr == null) {
             return false;
         }
-        Enumeration vals = attr.getByteValues();
+        @SuppressWarnings("unchecked")
+        Enumeration<byte[]> vals = attr.getByteValues();
         byte[] val = null;
 
         while (vals.hasMoreElements()) {
-            val = (byte[]) vals.nextElement();
+            val = vals.nextElement();
             if (val.length == 0)
                 continue;
             if (Utils.byteArraysAreEqual(val, bval)) {
@@ -316,11 +317,12 @@ public class LdapUserCertPublisher implements ILdapPublisher, IExtendedPluginInf
         if (attr == null) {
             return false;
         }
-        Enumeration vals = attr.getStringValues();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> vals = attr.getStringValues();
         String val = null;
 
         while (vals.hasMoreElements()) {
-            val = (String) vals.nextElement();
+            val = vals.nextElement();
             if (val.equalsIgnoreCase(sval)) {
                 return true;
             }
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/AdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/AdminServlet.java
index 72838eb5522e2900b5f8a14ac7945edcf6217eeb..fe176b641836caa0ca53a330ec945e93cf09b0f4 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/AdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/AdminServlet.java
@@ -206,9 +206,10 @@ public class AdminServlet extends HttpServlet {
 
     public void outputHttpParameters(HttpServletRequest httpReq) {
         CMS.debug("AdminServlet:service() uri = " + httpReq.getRequestURI());
-        Enumeration paramNames = httpReq.getParameterNames();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> paramNames = httpReq.getParameterNames();
         while (paramNames.hasMoreElements()) {
-            String pn = (String) paramNames.nextElement();
+            String pn = paramNames.nextElement();
             // added this facility so that password can be hidden,
             // all sensitive parameters should be prefixed with 
             // __ (double underscores); however, in the event that
@@ -793,11 +794,11 @@ public class AdminServlet extends HttpServlet {
         StringBuffer buf = new StringBuffer();
 
         if (params != null) {
-            Enumeration e = params.getNames();
+            Enumeration<String> e = params.getNames();
 
             if (e.hasMoreElements()) {
                 while (e.hasMoreElements()) {
-                    String name = (String) e.nextElement();
+                    String name = e.nextElement();
                     String value = java.net.URLEncoder.encode((String)
                             params.getValue(name));
 
@@ -857,10 +858,11 @@ public class AdminServlet extends HttpServlet {
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
         NameValuePairs params = new NameValuePairs();
-        Enumeration e = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> e = req.getParameterNames();
 
         while (e.hasMoreElements()) {
-            String name = (String) e.nextElement();
+            String name = e.nextElement();
 
             //if (name.equals(Constants.PT_OP))
             //	continue;
@@ -888,10 +890,11 @@ public class AdminServlet extends HttpServlet {
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
         NameValuePairs params = new NameValuePairs();
-        Enumeration e = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> e = req.getParameterNames();
 
         while (e.hasMoreElements()) {
-            String name = (String) e.nextElement();
+            String name = e.nextElement();
 
             //if (name.equals(Constants.PT_OP))
             //	continue;
@@ -916,11 +919,11 @@ public class AdminServlet extends HttpServlet {
             IConfigStore config, HttpServletRequest req,
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        Enumeration e = config.getPropertyNames();
+        Enumeration<String> e = config.getPropertyNames();
         NameValuePairs params = new NameValuePairs();
 
         while (e.hasMoreElements()) {
-            String s = (String) e.nextElement();
+            String s = e.nextElement();
 
             params.add(s, config.getString(s));
         }
@@ -1132,10 +1135,11 @@ public class AdminServlet extends HttpServlet {
         }
 
         // identify any remaining request parameters
-        Enumeration e = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> e = req.getParameterNames();
 
         while (e.hasMoreElements()) {
-            String name = (String) e.nextElement();
+            String name = e.nextElement();
 
             // skip previously extracted parameters
             if (name.equals(Constants.OP_SCOPE)) {
@@ -1231,7 +1235,7 @@ public class AdminServlet extends HttpServlet {
             return ILogger.SIGNED_AUDIT_EMPTY_VALUE;
         }
 
-        Enumeration groups = null;
+        Enumeration<IGroup> groups = null;
 
         try {
             groups = mUG.findGroups("*");
@@ -1242,7 +1246,7 @@ public class AdminServlet extends HttpServlet {
         StringBuffer membersString = new StringBuffer();
 
         while (groups.hasMoreElements()) {
-            IGroup group = (IGroup) groups.nextElement();
+            IGroup group = groups.nextElement();
 
             if (group.isMember(SubjectID) == true) {
                 if (membersString.length() != 0) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/AuthCredentials.java b/pki/base/common/src/com/netscape/cms/servlet/admin/AuthCredentials.java
index d0bbfa824175f75a75ad4ac1022e2a3fe933b48e..9d4c4f00ee5233760be0b51c819ffdb11f2aa268 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/AuthCredentials.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/AuthCredentials.java
@@ -35,14 +35,14 @@ public class AuthCredentials implements IAuthCredentials {
      *
      */
     private static final long serialVersionUID = -6938644716486895814L;
-    private Hashtable authCreds = null;
+    private Hashtable<String, Object> authCreds = null;
     // Inserted by bskim 
     private IArgBlock argblk = null;
 
     // Insert end
 
     public AuthCredentials() {
-        authCreds = new Hashtable();
+        authCreds = new Hashtable<String, Object>();
     }
 
     /**
@@ -68,7 +68,7 @@ public class AuthCredentials implements IAuthCredentials {
      * @return the named authentication credential
      */
     public Object get(String name) {
-        return ((Object) authCreds.get(name));
+        return authCreds.get(name);
     }
 
     /**
@@ -90,8 +90,8 @@ public class AuthCredentials implements IAuthCredentials {
      * @return an enumeration of the values in this credential set
      * @see java.util.Enumeration
      */
-    public Enumeration getElements() {
-        return (authCreds.elements());
+    public Enumeration<Object> getElements() {
+        return authCreds.elements();
     }
 
     // Inserted by bskim
